# Swagger Petstore

## API and SDK Documentation

Version: 1.0.0

This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.

# Pet

# addPet

Add a new pet to the store

    /pet

## Parameters

Body parameters

Name | Description
--- | ---
body * |

## Responses

### Status: 405 - Invalid input

# deletePet

Deletes a pet

    /pet/{petId}

## Parameters

Path parameters

Name | Description
--- | ---
petId* |

Header parameters

Name | Description
--- | ---
api_key |

## Responses

### Status: 400 - Invalid pet value

# findPetsByStatus

Finds Pets by status

Multiple status values can be provided with comma separated strings

    /pet/findByStatus

## Parameters

Query parameters

Name | Description
--- | ---
status* |

## Responses

### Status: 200 - successful operation

### Status: 400 - Invalid status value

# findPetsByTags

Finds Pets by tags

Multiple tags can be provided with comma separated strings. Use tag1, tag2, tag3 for testing.

    /pet/findByTags

## Parameters

Query parameters

Name | Description
--- | ---
tags* |

## Responses

### Status: 200 - successful operation

### Status: 400 - Invalid tag value

# getPetById

Find pet by ID

Returns a single pet

    /pet/{petId}

## Parameters

Path parameters

Name | Description
--- | ---
petId* |

## Responses

### Status: 200 - successful operation

### Status: 400 - Invalid ID supplied

### Status: 404 - Pet not found

# updatePet

Update an existing pet

    /pet

## Parameters

Body parameters

Name | Description
--- | ---
body * |

## Responses

### Status: 400 - Invalid ID supplied

### Status: 404 - Pet not found

### Status: 405 - Validation exception

# updatePetWithForm

Updates a pet in the store with form data

    /pet/{petId}

## Parameters

Path parameters

Name | Description
--- | ---
petId* |

Form parameters

Name | Description
--- | ---
name |
status |

## Responses

### Status: 405 - Invalid input

# uploadFile

uploads an image

    /pet/{petId}/uploadImage

## Parameters

Path parameters

Name | Description
--- | ---
petId* |

Form parameters

Name | Description
--- | ---
additionalMetadata |
file |

## Responses

### Status: 200 - successful operation

# Store

# deleteOrder

Delete purchase order by ID

For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors

    /store/order/{orderId}

## Parameters

Path parameters

Name | Description
--- | ---
orderId* |

## Responses

### Status: 400 - Invalid ID supplied

### Status: 404 - Order not found

# getInventory

Returns pet inventories by status

Returns a map of status codes to quantities

    /store/inventory

## Parameters

## Responses

### Status: 200 - successful operation

# getOrderById

Find purchase order by ID

For valid response try integer IDs with value <= 5 or > 10. Other values will generated exceptions

    /store/order/{orderId}

## Parameters

Path parameters

Name | Description
--- | ---
orderId* |

## Responses

### Status: 200 - successful operation

### Status: 400 - Invalid ID supplied

### Status: 404 - Order not found

# placeOrder

Place an order for a pet

    /store/order

## Parameters

Body parameters

Name | Description
--- | ---
body * |

## Responses

### Status: 200 - successful operation

### Status: 400 - Invalid Order

# User

# createUser

Create user

This can only be done by the logged in user.

    /user

## Parameters

Body parameters

Name | Description
--- | ---
body * |

## Responses

### Status: default - successful operation

# createUsersWithArrayInput

Creates list of users with given input array

    /user/createWithArray

## Parameters

Body parameters

Name | Description
--- | ---
body * |

## Responses

### Status: default - successful operation

# createUsersWithListInput

Creates list of users with given input array

    /user/createWithList

## Parameters

Body parameters

Name | Description
--- | ---
body * |

## Responses

### Status: default - successful operation

# deleteUser

Delete user

This can only be done by the logged in user.

    /user/{username}

## Parameters

Path parameters

Name | Description
--- | ---
username* |

## Responses

### Status: 400 - Invalid username supplied

### Status: 404 - User not found

# getUserByName

Get user by user name

    /user/{username}

## Parameters

Path parameters

Name | Description
--- | ---
username* |

## Responses

### Status: 200 - successful operation

### Status: 400 - Invalid username supplied

### Status: 404 - User not found

# loginUser

Logs user into the system

    /user/login

## Parameters

Query parameters

Name | Description
--- | ---
username* |
password* |

## Responses

### Status: 200 - successful operation

Name | Type | Format | Description
--- | --- | --- | ---
X-Rate-Limit | Integer | int32 | calls per hour allowed by the user
X-Expires-After | Date | date-time | date in UTC when toekn expires

### Status: 400 - Invalid username/password supplied

# logoutUser

Logs out current logged in user session

    /user/logout

## Parameters

## Responses

### Status: default - successful operation

# updateUser

Updated user

This can only be done by the logged in user.

    /user/{username}

## Parameters

Path parameters

Name | Description
--- | ---
username* |

Body parameters

Name | Description
--- | ---
body * |

## Responses

### Status: 400 - Invalid user supplied

### Status: 404 - User not found

Generated 2017-03-04T14:14:43.027Z